ht-docker-node (dbase)
Installation
docker pull code.foss.global/host.today/ht-docker-node:dbasesha256:9fb9c3e8eafe009ea9fc48c101b0063738f7dc59bf87b8c37effe915980d40d0
Images
| Digest | OS / Arch | Size |
|---|---|---|
| b942699313 | linux/amd64 | 707 MiB |
| 3fc76381d6 | linux/arm64 | 694 MiB |
Image Layers ( linux/arm64)
| ADD alpine-minirootfs-3.23.3-aarch64.tar.gz / # buildkit |
| CMD ["/bin/sh"] |
| RUN /bin/sh -c apk add --no-cache ca-certificates openssh-client git # buildkit |
| RUN /bin/sh -c [ -e /etc/nsswitch.conf ] && grep '^hosts: files dns' /etc/nsswitch.conf # buildkit |
| RUN /bin/sh -c set -eux; addgroup -g 2375 -S docker # buildkit |
| ENV DOCKER_VERSION=29.3.1 |
| RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-29.3.1.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-29.3.1.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-29.3.1.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-29.3.1.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner 'docker/docker' ; rm docker.tgz; docker --version # buildkit |
| ENV DOCKER_BUILDX_VERSION=0.32.1 |
| RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/buildx/releases/download/v0.32.1/buildx-v0.32.1.linux-amd64'; sha256='2bbc1b8ebc9a05287b01bc2fe6633ec5e2f53d58ee955ae69756d668e7098e5e'; ;; 'armhf') url='https://github.com/docker/buildx/releases/download/v0.32.1/buildx-v0.32.1.linux-arm-v6'; sha256='545d2b678e9a494e0891526ee4977699132c16659c8b3c25a4be8484cf19f691'; ;; 'armv7') url='https://github.com/docker/buildx/releases/download/v0.32.1/buildx-v0.32.1.linux-arm-v7'; sha256='c3abd2992c0cbef5d307ec59d490f65c563008798a6b01a85a82069ad9945aad'; ;; 'aarch64') url='https://github.com/docker/buildx/releases/download/v0.32.1/buildx-v0.32.1.linux-arm64'; sha256='f03767cb0149759d409cd600b915bce764175ffda6eb3e86e14cc84a5637176a'; ;; 'ppc64le') url='https://github.com/docker/buildx/releases/download/v0.32.1/buildx-v0.32.1.linux-ppc64le'; sha256='7d6428c784d5665e846d533c8ae2309942cbc5ef2fa82c5d2c20a9cdd2aa9609'; ;; 'riscv64') url='https://github.com/docker/buildx/releases/download/v0.32.1/buildx-v0.32.1.linux-riscv64'; sha256='ff29d3ad8756d11c2fdfddf068d794615d52a2b052b0e2e50edbdbeaf11cbe42'; ;; 's390x') url='https://github.com/docker/buildx/releases/download/v0.32.1/buildx-v0.32.1.linux-s390x'; sha256='f3e5e960ce35f16c592354e9d6a704f206550d92292c850f193c1af5289b60e5'; ;; *) echo >&2 "warning: unsupported 'docker-buildx' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-buildx' "$url"; echo "$sha256 *"'docker-buildx' | sha256sum -c -; plugin='/usr/local/libexec/docker/cli-plugins/docker-buildx'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-buildx' "$plugin"; chmod +x "$plugin"; docker buildx version # buildkit |
| ENV DOCKER_COMPOSE_VERSION=5.1.1 |
| RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/compose/releases/download/v5.1.1/docker-compose-linux-x86_64'; sha256='2ac954c9d506b912a12477d72f01601dc72ec918c429c7bae48fd707bdf0f3e5'; ;; 'armhf') url='https://github.com/docker/compose/releases/download/v5.1.1/docker-compose-linux-armv6'; sha256='dbc7d5be282b2f465fb76841588e446f5fee10104c73428e8130bfa9baf1f1e2'; ;; 'armv7') url='https://github.com/docker/compose/releases/download/v5.1.1/docker-compose-linux-armv7'; sha256='5cf43b83c705b24df9dbee1d35a6f085189ee2c1169444147192daf932683ed4'; ;; 'aarch64') url='https://github.com/docker/compose/releases/download/v5.1.1/docker-compose-linux-aarch64'; sha256='4b5c42952b7dd81f508d01a771df2a9e5dbffe9b8c5c7d983e738504ad38f056'; ;; 'ppc64le') url='https://github.com/docker/compose/releases/download/v5.1.1/docker-compose-linux-ppc64le'; sha256='e131760ddd58dd5fc42b80ce9e4c49ecb6e8c26638a1c4bc3aa526f58c2440bf'; ;; 'riscv64') url='https://github.com/docker/compose/releases/download/v5.1.1/docker-compose-linux-riscv64'; sha256='8f0df39eaf9014bce4c2505c91d067eb22631e894caabba7c5dae56c72c316f2'; ;; 's390x') url='https://github.com/docker/compose/releases/download/v5.1.1/docker-compose-linux-s390x'; sha256='87c0b606dcaf49b61f651f2b4e946e03a14e06e1dc16557a408a85e9796884f2'; ;; *) echo >&2 "warning: unsupported 'docker-compose' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-compose' "$url"; echo "$sha256 *"'docker-compose' | sha256sum -c -; plugin='/usr/local/libexec/docker/cli-plugins/docker-compose'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-compose' "$plugin"; chmod +x "$plugin"; ln -sv "$plugin" /usr/local/bin/; docker-compose --version; docker compose version # buildkit |
| COPY modprobe.sh /usr/local/bin/modprobe # buildkit |
| COPY docker-entrypoint.sh /usr/local/bin/ # buildkit |
| ENV DOCKER_TLS_CERTDIR=/certs |
| RUN /bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client # buildkit |
| ENTRYPOINT ["docker-entrypoint.sh"] |
| CMD ["sh"] |
| RUN /bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra git ip6tables iptables openssl pigz shadow-uidmap xfsprogs xz zfs ; # buildkit |
| RUN /bin/sh -c set -eux; apk add --no-cache iptables-legacy; mkdir -p /usr/local/sbin/.iptables-legacy; for f in iptables iptables-save iptables-restore ip6tables ip6tables-save ip6tables-restore ; do b="$(command -v "${f/tables/tables-legacy}")"; "$b" --version; ln -svT "$b" "/usr/local/sbin/.iptables-legacy/$f"; done; export PATH="/usr/local/sbin/.iptables-legacy:$PATH"; iptables --version | grep legacy # buildkit |
| RUN /bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid # buildkit |
| RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-29.3.1.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-29.3.1.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-29.3.1.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-29.3.1.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner --exclude 'docker/docker' ; rm docker.tgz; dockerd --version; containerd --version; ctr --version; runc --version # buildkit |
| ENV DIND_COMMIT=8d9e3502aba39127e4d12196dae16d306f76993d |
| RUN /bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind # buildkit |
| COPY dockerd-entrypoint.sh /usr/local/bin/ # buildkit |
| VOLUME [/var/lib/docker] |
| EXPOSE map[2375/tcp:{} 2376/tcp:{}] |
| ENTRYPOINT ["dockerd-entrypoint.sh"] |
| CMD [] |
| LABEL author=Task Venture Capital GmbH <hello@task.vc> |
| WORKDIR /workspace |
| ENV NODE_VERSION_LTS=24.13.0 NVM_DIR=/usr/local/nvm PNPM_HOME=/root/.local/share/pnpm NVM_NODEJS_ORG_MIRROR=https://unofficial-builds.nodejs.org/download/release |
| RUN /bin/sh -c apk add --no-cache bash curl git openssl ca-certificates wget unzip jq build-base python3 python3-dev py3-pip linux-headers libgcc libstdc++ libc6-compat gnupg libffi-dev openssl-dev libc-dev iputils bind-tools tini # buildkit |
| RUN /bin/sh -c mkdir -p $NVM_DIR && curl -fsSL https://raw.githubusercontent.com/nvm-sh/nvm/v0.40.1/install.sh | bash # buildkit |
| RUN /bin/sh -c printf '%s\n%s\n%s\n' 'export NVM_DIR="/usr/local/nvm"' '[ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh"' '[ -s "$NVM_DIR/bash_completion" ] && . "$NVM_DIR/bash_completion"' > /etc/bash.bashrc # buildkit |
| COPY image_support_files/bash-with-nvm /usr/local/bin/bash-with-nvm # buildkit |
| COPY image_support_files/docker-entrypoint.sh /usr/local/bin/docker-entrypoint.sh # buildkit |
| RUN /bin/sh -c chmod +x /usr/local/bin/bash-with-nvm /usr/local/bin/docker-entrypoint.sh # buildkit |
| SHELL [/usr/local/bin/bash-with-nvm] |
| ENV BASH_ENV=/etc/bash.bashrc |
| RUN /usr/local/bin/bash-with-nvm mkdir -p ${PNPM_HOME} # buildkit |
| ENV PATH=/root/.local/share/pnpm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin |
| ARG TARGETARCH=arm64 |
| RUN |1 TARGETARCH=arm64 /usr/local/bin/bash-with-nvm NVM_MUSL_ARCH=$([ "$TARGETARCH" = "arm64" ] && echo "arm64-musl" || echo "x64-musl") && nvm_get_arch() { echo "$NVM_MUSL_ARCH"; } && nvm install $NODE_VERSION_LTS && nvm alias default $NODE_VERSION_LTS && nvm use default && npm install -g pnpm && pnpm -v && pnpm config set unsafe-perm true && pnpm install -g @ship.zone/szci # buildkit |
| RUN |1 TARGETARCH=arm64 /usr/local/bin/bash-with-nvm curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y # buildkit |
| ENV PATH=/root/.cargo/bin:/root/.local/share/pnpm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin |
| ENV NODE_PATH=/usr/local/nvm/versions/node/v24.13.0/lib/node_modules |
| ENV PATH=/usr/local/nvm/versions/node/v24.13.0/bin:/root/.cargo/bin:/root/.local/share/pnpm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin |
| ENTRYPOINT ["/sbin/tini" "--" "/usr/local/bin/docker-entrypoint.sh"] |
| CMD ["bash"] |
Labels
| Key | Value |
|---|---|
| author | Task Venture Capital GmbH <hello@task.vc> |
Details
Versions (11)
View all
lts
2026-04-01
fossglobal_preinstalled_5.9.0
2026-04-01
szci
2026-04-01
dbase_dind
2026-04-01
dbase
2026-04-01